program Variance

	use sep

	implicit none

	integer                         :: n1, n2, ndat
	real, dimension(:), pointer     :: data, mask

	call sep_init()
	call from_history( n1, n2)

	allocate( mask(n1*n2), data(n1*n2) )

	call sep_read(data)
	mask = 1
	if( exist_file("mask") )  call sep_read(mask, "mask")
	ndat = sum(mask)

	call to_history( "n1", 0)
	call to_history( "esize", 4)
	call to_history( "var", sum(data*data)/(1.0*ndat) )
	call to_history( "mean",  sum(data)/ndat )
	call sep_close()

	deallocate( data, mask)

	call exit(0)

end program Variance
