Program NDiv_bill

use sep
use nhelix
use createnhelixmod
use nbound_bob_mod
use pef
use io_nfilt
use nsdiv

  implicit none
  integer                              :: n1, n2, n3, a1, a2, a3, niter, nsc, na, i, linflt, dim
  integer, external                    :: getch
  integer, dimension (:), pointer      :: sc, a, ndat, patch, fakepatch,tmppch
  integer                              :: tt(1000)
  real, dimension (:), pointer         :: data, k0, killdata, dummask, model
  integer, dimension (:), allocatable  :: center, gap, psize, pos, cartflt
  real, dimension (:), pointer         :: ddat, odat, wei
  real                                 :: d1, d2, d3, o1, o2, o3, eps, sigma
  logical                              :: rad, readstat, stat
  logical, pointer                     :: lmask(:)
  type(nfilter)                        :: aa
  character(len=1024)                  :: filt

  call sep_init(SOURCE)
  dim = sep_dimension()
! Read history of data
  call from_history( "n1", n1);       call from_history( "n2", n2);       call from_history( "n3", n3)
  call from_history( "d1", d1, 1.0);  call from_history( "d2", d2, 1.0);  call from_history( "d3", d3, 1.0)
  call from_history( "o1", o1, 0.0);  call from_history( "o2", o2, 0.0);  call from_history( "o3", o3, 0.0)
  call to_history( "n", (/n1,n2,n3/) )
  call from_param ("filt",filt,'filt.H')
  call from_param ("niter",niter,100) 
  call from_param ("eps",eps,0.1)
!  call from_param ("sigma",sigma,10)
sigma=0
write(0,*)"test1"

  allocate(ndat(dim), a(dim), ddat(dim), odat(dim), center(dim), gap(dim), patch(dim), fakepatch(dim) )
  ndat = (/n1,n2,n3/);
  allocate( data(product(ndat)),model(product(ndat)), tmppch(product(ndat)), wei(product(ndat)) )
write(0,*)"test2"
  call sep_read( data )
write(0,*)"test3"
  readstat = read_nfilt(filt,aa)
write(0,*)"test5"
! allocate filter
  allocate(lmask(size(k0)))
  lmask=.false.
  where(k0==1) lmask=.true.
  wei = 1.
  call nbound_bob( ndat, aa)
  call nsdiv_data(niter, data, model, aa)
  call sep_write (model)
  call sep_close ()
  deallocate( data)
  call ndeallocate(aa)
  deallocate (ndat) 
  call exit (0)
end program NDiv_bill
